Summary: The Gimp Toolkit
Name: gtk+
Version: 1.2.9
Release: 1
Group: X11/Libraries
Copyright: LGPL
Url: http://www.gtk.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: glib = %{version}

%description
The X libraries originally written for the GIMP, which are now used by
several other programs as well.


%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit
Group: X11/Libraries
Requires: gtk+ = %{version}

%description devel
Static libraries and header files for the GIMP's X libraries, which are
available as public libraries.  GLIB includes generally useful data
structures, GDK is a drawing toolkit which provides a thin layer over
Xlib to help automate things like dealing with different color depths,
and GTK is a widget set for creating user interfaces.

  
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --sysconfdir=/etc --disable-nls
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE
# Remake info files with --no-split
make MAKEINFO="makeinfo --no-split" -C docs maintainer-clean-aminfo info


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info
(
	cd docs
	make {gtk,gdk}.ps
	gzip -9f *.ps
	sgml2html -s 0 gtkfaq.sgml gtk_tut.sgml
)


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gdk.info.gz /usr/info/dir
/sbin/install-info /usr/info/gtk.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gdk.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/gtk.info.gz /usr/info/dir
fi


%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* HACKING INSTALL NEWS* README* TODO
/usr/lib/lib*.so.*
/usr/share/themes
 

%files devel
%defattr(-,root,root)
%doc docs/*.txt docs/*.ps.gz docs/*.html docs/*.gif
/etc/gtk
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/lib/pkgconfig/*
/usr/man/man1/*
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT
